%define major			4
%define libname			%mklibname %{name}_ %{major}
%define libnamedev		%mklibname %{name} -d

Summary:	Interface for userspace programs to export a virtual filesystem to the kernel
Name:		fuse3
Version:	3.17.3
Release:	%mkrel 1
License:	GPLv2+ and LGPLv2+
Group:		System/Libraries
URL:		https://github.com/libfuse/libfuse/
Source0:	https://github.com/libfuse/libfuse/releases/download/fuse-%{version}/fuse-%{version}.tar.gz
Source2:	fuse-makedev.d-fuse
Patch1:		mount-readlink-hang-workaround.patch
Patch2:		fuse-skip-install_helper-script.patch
BuildRequires:	meson
BuildRequires:	ninja
BuildRequires:	pkgconfig(udev)
Requires:	fuse-common

%description
FUSE (Filesystem in USErspace) is a simple interface for userspace
programs to export a virtual filesystem to the linux kernel. FUSE
also aims to provide a secure method for non privileged users to
create and mount their own filesystem implementations.

This package provides FUSE v3 which can be installed alongside
FUSE v2.

%package -n	%{libname}
Summary:	Libraries for fuse
Group:		System/Libraries
Requires(pre):	filesystem >= 2.1.9-18

%description -n	%{libname}
Libraries for fuse.

%package -n	%{libnamedev}
Summary:	Header files and development libraries for libfuse2
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires(pre):	filesystem >= 2.1.9-18
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libnamedev}
Header files and development libraries for fuse.

%package -n fuse-common
Summary:	Common files for File System in Userspace (FUSE) v2 and v3
Group:		System/Libraries
BuildArch:	noarch
Conflicts:	fuse < 2.9.7-2

%description -n fuse-common
Common files for FUSE v2 and FUSE v3.

%prep
%autosetup -p1 -n fuse-%{version}

%build
%meson
%meson_build

%install
%meson_install

install -Dpm644 util/fuse.conf %{buildroot}%{_sysconfdir}/fuse.conf
install -Dpm644 %{SOURCE2} %{buildroot}%{_sysconfdir}/makedev.d/z-fuse

%files
%doc AUTHORS ChangeLog.rst README.md doc/README.NFS
%license GPL*
%attr(0755,root,root) %{_sbindir}/mount.fuse3
%attr(4755,root,root) %{_bindir}/fusermount3
%{_mandir}/man1/fusermount3.1*
%{_mandir}/man8/mount.fuse3.8*

%files -n %{libname}
%license LGPL*
%{_libdir}/libfuse3.so.%{major}
%{_libdir}/libfuse3.so.%{version}

%files -n %{libnamedev}
%{_includedir}/%{name}/
%{_libdir}/libfuse3.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n fuse-common
%config(noreplace) %{_sysconfdir}/makedev.d/z-fuse
%config(noreplace) %{_sysconfdir}/fuse.conf


%changelog
* Sun Jul 20 2025 daviddavid <daviddavid> 3.17.3-1.mga10
+ Revision: 2257616
- new version: 3.17.3

* Sun Jun 29 2025 daviddavid <daviddavid> 3.17.2-1.mga10
+ Revision: 2226286
- new version: 3.17.2
- now libmajor is 4
- new version: 3.17.1
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Wed Nov 01 2023 daviddavid <daviddavid> 3.16.2-1.mga10
+ Revision: 2003359
- new version: 3.16.2

* Mon Sep 11 2023 wally <wally> 3.16.1-1.mga10
+ Revision: 1986339
- new version 3.16.1

* Sun May 07 2023 luigiwalser <luigiwalser> 3.14.1-1.mga9
+ Revision: 1956017
- 3.14.1

* Sun Mar 12 2023 wally <wally> 3.14.0-1.mga9
+ Revision: 1948667
- new version 3.14.0

* Wed Feb 08 2023 daviddavid <daviddavid> 3.13.1-1.mga9
+ Revision: 1939531
- new version: 3.13.1

* Sun Jan 22 2023 wally <wally> 3.13.0-1.mga9
+ Revision: 1934803
- new version 3.13.0

* Sat Sep 10 2022 wally <wally> 3.12.0-1.mga9
+ Revision: 1886387
- new version 3.12.0

* Sun May 08 2022 wally <wally> 3.11.0-1.mga9
+ Revision: 1856767
- new version 3.11.0

* Tue Mar 29 2022 umeabot <umeabot> 3.10.5-2.mga9
+ Revision: 1833088
- Mageia 9 Mass Rebuild

* Sat Sep 18 2021 wally <wally> 3.10.5-1.mga9
+ Revision: 1745683
- new version 3.10.5

* Wed Jun 16 2021 wally <wally> 3.10.4-1.mga9
+ Revision: 1730918
- new version 3.10.4

* Thu Apr 15 2021 daviddavid <daviddavid> 3.10.3-1.mga9
+ Revision: 1715848
- new version: 3.10.3

* Thu Feb 25 2021 wally <wally> 3.10.2-1.mga9
+ Revision: 1690995
- new version 3.10.2

* Mon Dec 07 2020 daviddavid <daviddavid> 3.10.1-1.mga8
+ Revision: 1654244
- new version: 3.10.1

* Sun Oct 11 2020 wally <wally> 3.10.0-1.mga8
+ Revision: 1633399
- new version 3.10.0

* Tue Aug 11 2020 daviddavid <daviddavid> 3.9.3-1.mga8
+ Revision: 1613198
- new version: 3.9.3

* Mon Jun 15 2020 daviddavid <daviddavid> 3.9.2-1.mga8
+ Revision: 1593346
- new version: 3.9.2

* Tue Apr 14 2020 ovitters <ovitters> 3.9.1-2.mga8
+ Revision: 1567302
- drop requires (pre/post) for makedev and rpmhelper (for long gone pre/post scripts)

* Fri Mar 20 2020 daviddavid <daviddavid> 3.9.1-1.mga8
+ Revision: 1558141
- new version: 3.9.1

* Tue Feb 18 2020 umeabot <umeabot> 3.9.0-2.mga8
+ Revision: 1540939
- Mageia 8 Mass Rebuild

* Wed Dec 18 2019 wally <wally> 3.9.0-1.mga8
+ Revision: 1468769
- new version 3.9.0
- move fuse-common from fuse

* Sun Nov 03 2019 daviddavid <daviddavid> 3.8.0-1.mga8
+ Revision: 1457460
- new version: 3.8.0

* Sat Sep 28 2019 daviddavid <daviddavid> 3.7.0-1.mga8
+ Revision: 1447749
- new version: 3.7.0

* Tue Jul 09 2019 daviddavid <daviddavid> 3.6.2-1.mga8
+ Revision: 1419769
- new version: 3.6.2

* Sun Jun 30 2019 daviddavid <daviddavid> 3.6.1-1.mga8
+ Revision: 1416393
- new version: 3.6.1

* Thu Apr 18 2019 daviddavid <daviddavid> 3.5.0-1.mga7
+ Revision: 1393112
- new version: 3.5.0

* Wed Apr 17 2019 umeabot <umeabot> 3.4.2-2.mga7
+ Revision: 1392190
- Rebuild with meson 0.50.1

* Sun Mar 31 2019 luigiwalser <luigiwalser> 3.4.2-1.mga7
+ Revision: 1383770
- 3.4.2
- remove upstream patch

* Thu Dec 27 2018 wally <wally> 3.4.1-1.mga7
+ Revision: 1345332
- new version 3.4.1

* Tue Dec 04 2018 wally <wally> 3.3.0-1.mga7
+ Revision: 1338341
- new version 3.3.0

* Fri Aug 31 2018 daviddavid <daviddavid> 3.2.6-1.mga7
+ Revision: 1255993
- new version: 3.2.6

* Tue Jul 31 2018 mokraemer <mokraemer> 3.2.5-1.mga7
+ Revision: 1246365
- new version 3.2.5

* Sat Apr 21 2018 wally <wally> 3.2.2-1.mga7
+ Revision: 1220717
- new version 3.2.2

* Fri Oct 06 2017 wally <wally> 3.2.0-2.mga7
+ Revision: 1169609
- rename .src.rpm as fuse3
- drop useless zero epoch
- drop static devel
- move fuse-common to fuse-2.9.7

* Wed Oct 04 2017 tv <tv> 0:3.2.0-1.mga7
+ Revision: 1168205
- fix summary
+ zezinho <zezinho>
- new major version packaged by Josh

* Wed Aug 10 2016 luigiwalser <luigiwalser> 0:2.9.7-1.mga6
+ Revision: 1045268
- 2.9.7

* Fri May 06 2016 luigiwalser <luigiwalser> 0:2.9.6-1.mga6
+ Revision: 1009939
- 2.9.6

* Mon Jan 25 2016 luigiwalser <luigiwalser> 0:2.9.5-1.mga6
+ Revision: 927216
- 2.9.5
- update URLs

* Fri Jul 24 2015 joequant <joequant> 0:2.9.4-1.mga6
+ Revision: 857005
- upgrade to 2.9.4

* Fri May 22 2015 luigiwalser <luigiwalser> 0:2.9.3-5.mga5
+ Revision: 822587
- add patch from ubuntu to fix CVE-2015-3202

* Wed Oct 15 2014 umeabot <umeabot> 0:2.9.3-4.mga5
+ Revision: 750488
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:2.9.3-3.mga5
+ Revision: 679379
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0:2.9.3-2.mga4
+ Revision: 529937
- Mageia 4 Mass Rebuild

* Sun Jul 14 2013 luigiwalser <luigiwalser> 0:2.9.3-1.mga4
+ Revision: 454111
- 2.9.3

* Fri Jan 11 2013 umeabot <umeabot> 0:2.9.2-2.mga3
+ Revision: 350995
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 luigiwalser <luigiwalser> 0:2.9.2-1.mga3
+ Revision: 334770
- 2.9.2

* Mon Dec 24 2012 tv <tv> 0:2.9.1-3.mga3
+ Revision: 334683
- revert blino's requires on 'kmod(fuse)': it's provided by all kernels anyway
  but but this requires forces having kernel installed in iurt chroots if fuse
  is needed
+ malo <malo>
- fix RPM group

* Sun Aug 26 2012 fedya <fedya> 0:2.9.1-2.mga3
+ Revision: 284048
- la files removed

* Wed Aug 22 2012 fedya <fedya> 0:2.9.1-1.mga3
+ Revision: 283118
- version update 2.9.1 and unversioned-explicit-obsoletes fix

* Sat Jul 21 2012 colin <colin> 0:2.8.7-2.mga3
+ Revision: 273158
- Update for usrmove

* Tue Mar 06 2012 blino <blino> 0:2.8.7-1.mga2
+ Revision: 220640
- 2.8.7
- require kmod(fuse) (even if enabled in all kernels from core)

* Sat Oct 15 2011 eandry <eandry> 0:2.8.6-1.mga2
+ Revision: 155372
- New version 2.8.6

* Thu Mar 03 2011 eandry <eandry> 0:2.8.5-1.mga1
+ Revision: 63470
- New version 2.8.5
- clean spec

* Tue Jan 11 2011 blino <blino> 0:2.8.4-3.mga1
+ Revision: 5817
- remove old ldconfig scriptlets and obsoletes
- imported package fuse


* Fri Dec 03 2010 Funda Wang <fwang@mandriva.org> 0:2.8.4-2mdv2011.0
+ Revision: 605798
- update file list

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Wed Apr 28 2010 Emmanuel Andry <eandry@mandriva.org> 0:2.8.4-1mdv2010.1
+ Revision: 540549
- New version 2.8.4

* Tue Feb 02 2010 Frederik Himpe <fhimpe@mandriva.org> 0:2.8.3-1mdv2010.1
+ Revision: 499742
- Update to new version 2.8.3
- Rediff mount readlink hang workaround patch

* Tue Nov 17 2009 Pascal Terjan <pterjan@mandriva.org> 0:2.8.1-3mdv2010.1
+ Revision: 466960
- Fix hang on .gvfs (#53208)

* Fri Nov 13 2009 Pascal Terjan <pterjan@mandriva.org> 0:2.8.1-2mdv2010.1
+ Revision: 465731
- Drop kernel-source BuildRequires

* Sun Sep 27 2009 Emmanuel Andry <eandry@mandriva.org> 0:2.8.1-1mdv2010.0
+ Revision: 449972
- New version 2.8.1

* Tue Sep 08 2009 Emmanuel Andry <eandry@mandriva.org> 0:2.8.0-1mdv2010.0
+ Revision: 433639
- New version 2.8.0
- drop P1 (fixed differently)
- diff P0 to fix string format not literal

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0:2.7.4-6mdv2010.0
+ Revision: 424500
- rebuild

* Tue Jun 09 2009 Frederic Crozat <fcrozat@mandriva.com> 0:2.7.4-5mdv2010.0
+ Revision: 384351
- drop udev default node, /dev/fuse is now always created by start_udev

* Tue May 05 2009 Frederic Crozat <fcrozat@mandriva.com> 0:2.7.4-4mdv2010.0
+ Revision: 372205
- Fix udev nodes config file, was not working at all
- remove initscripts and fuse group usage, use udev instead
- ensure /dev/fuse is available after package installation

* Tue Dec 23 2008 Oden Eriksson <oeriksson@mandriva.com> 0:2.7.4-3mdv2009.1
+ Revision: 317983
- rebuild

* Tue Sep 09 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0:2.7.4-2mdv2009.0
+ Revision: 283177
- Remove dkms-fuse. With kernel 2.6.27 it's obsolete, as NFS exporting
  support went in mainline fuse module, a feature that was only provided
  until now by out-of-tree fuse version in dkms-fuse. Since currently
  all provided kernels in main and contrib were updated to 2.6.27-rcX,
  there is no problem in just removing dkms-fuse now. Next fuse versions
  will drop the out-of-tree fuse module too.

* Thu Aug 07 2008 Emmanuel Andry <eandry@mandriva.org> 0:2.7.4-1mdv2009.0
+ Revision: 266401
- New version

* Sun Jul 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0:2.7.3-3mdv2009.0
+ Revision: 232104
- fix deps
- added P1 to fix linkage

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 25 2008 Emmanuel Andry <eandry@mandriva.org> 0:2.7.3-1mdv2008.1
+ Revision: 174505
- New version
- use major version check

* Fri Jan 04 2008 Jérôme Soyer <saispo@mandriva.org> 0:2.7.2-1mdv2008.1
+ Revision: 144895
- New release

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Pascal Terjan <pterjan@mandriva.org>
    - Don't use the number of processor of the machine building the rpm when building the module with dkms

* Sun Nov 18 2007 David Walluck <walluck@mandriva.org> 0:2.7.1-2mdv2008.1
+ Revision: 109791
- fix bug #32137

* Sun Oct 21 2007 Funda Wang <fwang@mandriva.org> 0:2.7.1-1mdv2008.1
+ Revision: 100930
- update to new version 2.7.1
- fix source tarball URL

* Tue Oct 02 2007 Olivier Blin <oblin@mandriva.com> 0:2.7.0-6mdv2008.0
+ Revision: 94480
- update to new version

* Thu Aug 30 2007 Funda Wang <fwang@mandriva.org> 0:2.7.0-5mdv2008.0
+ Revision: 75135
- Obsoletes old devel package

* Tue Aug 14 2007 David Walluck <walluck@mandriva.org> 0:2.7.0-4mdv2008.0
+ Revision: 62857
- update to new lib policy
- don't call makedev in %%post

* Mon Aug 06 2007 David Walluck <walluck@mandriva.org> 0:2.7.0-3mdv2008.0
+ Revision: 59233
- handle makedev failure
- add udev rules from Fedora
- change file locations to those in Fedora
- libtool hack no longer needed
- parallel make seems to work

* Sat Jul 07 2007 Funda Wang <fwang@mandriva.org> 0:2.7.0-1mdv2008.0
+ Revision: 49380
- New version

* Fri Jul 06 2007 Götz Waschk <waschk@mandriva.org> 0:2.6.5-2mdv2008.0
+ Revision: 49168
- fix pinit loop with dkms

* Sun May 27 2007 David Walluck <walluck@mandriva.org> 0:2.6.5-1mdv2008.0
+ Revision: 31779
- 2.6.5
- move .la file to devel package

* Sat Apr 28 2007 David Walluck <walluck@mandriva.org> 0:2.6.4-1mdv2008.0
+ Revision: 18825
- 2.6.4


* Mon Feb 05 2007 David Walluck <walluck@mandriva.org> 2.6.3-1mdv2007.0
+ Revision: 116181
- 2.6.3

* Fri Dec 22 2006 David Walluck <walluck@mandriva.org> 2.6.1-7mdv2007.1
+ Revision: 101618
- use correct /usr/src directory
- force initscript gprintf usage to stop additional newlines

* Fri Dec 22 2006 David Walluck <walluck@mandriva.org> 2.6.1-6mdv2007.1
+ Revision: 101424
- fix typo in initscript

* Fri Dec 22 2006 David Walluck <walluck@mandriva.org> 2.6.1-5mdv2007.1
+ Revision: 101410
- add status to initscript

* Fri Dec 22 2006 David Walluck <walluck@mandriva.org> 2.6.1-4mdv2007.1
+ Revision: 101323
- even more fixes to initscript

* Fri Dec 22 2006 David Walluck <walluck@mandriva.org> 2.6.1-3mdv2007.1
+ Revision: 101139
- more fixes to initscript
- fix initscript
  fix dkms build

* Thu Dec 21 2006 David Walluck <walluck@mandriva.org> 2.6.1-1mdv2007.1
+ Revision: 100933
- require libtool
- 2.6.1
- Import fuse

* Wed May 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.5.3-3mdk
- patch 0: fix udev rule for newer udev

* Tue May 23 2006 David Walluck <walluck@mandriva.org> 2.5.3-2mdk
- use %%{release} for dkms

* Tue Apr 11 2006 David Walluck <walluck@mandriva.org> 2.5.3-1mdk
- 2.5.3

* Sat Feb 25 2006 David Walluck <walluck@mandriva.org> 2.5.2-3mdk
- can't use %%configure macro in MAKE[0]

* Fri Feb 24 2006 David Walluck <walluck@mandriva.org> 2.5.2-2mdk
- replace %%make with %%{__make} for dkms module
- try --enable-kernel-module for dkms-module

* Fri Feb 24 2006 David Walluck <walluck@mandriva.org> 2.5.2-1mdk
- 2.5.2
- use macros in MAKE[0]
- add Source0 URL
- fix Group
- add Provides: %%{_lib}fuse-{,static-}devel
- mark 40-fuse.rules as %%config(noreplace)

* Wed Jan 04 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.4.2-1mdk
- from Moreno Manzini <moreno.mg@gmail.com> :
	o 2.4.2

* Tue Oct 18 2005 Olivier Thauvin <nanardon@mandriva.org> 2.4.0-1mdk
- 2.4.0

* Thu Jun 30 2005 Pascal Terjan <pterjan@mandriva.org> 2.3.0-2mdk
- add dkms subpackage

* Mon Jun 13 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.3.0-1mdk
- 2.3.0

* Thu May 19 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.2.1-2mdk
- fix provides
- compile with $RPM_OPT_FLAGS
- %%mkrel
- fix summary-ended-with-dot
- cosmetics

* Tue May 10 2005 Lenny Cartier <lenny@mandriva.com> 2.2.1-1mdk
- 2.2.1

* Tue Oct 05 2004 Tigrux <tigrux@ximian.com> 1.9-1mdk
- New version

* Tue Oct 05 2004 Tigrux <tigrux@ximian.com> 1.3-1mdk
- First rpm for Mandrake

